QRcodly
APIShort url

Delete a standalone short URL

Soft-deletes a standalone short URL by its short code. Only standalone short URLs (not linked to QR codes) can be deleted via this endpoint. Short URLs linked to QR codes must be deleted by deleting the QR code.

DELETE
/short-url/{shortCode}

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Path Parameters

shortCode*string

The 5-character short URL code (e.g. "Ab3xZ")

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.qrcodly.de/api/v1/short-url/string"
{
  "deleted": true
}
{
  "message": "string",
  "code": 0,
  "fieldErrors": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}